import request from '@/utils/request'

// 查询设备配置（控制抓拍一体机）列表
export function listConfiguration(query) {
  return request({
    url: '/system/configuration/list',
    method: 'get',
    params: query
  })
}

// 查询设备配置（控制抓拍一体机）详细
export function getConfiguration(equipmentId) {
  return request({
    url: '/system/configuration/' + equipmentId,
    method: 'get'
  })
}

// 新增设备配置（控制抓拍一体机）
export function addConfiguration(data) {
  return request({
    url: '/system/configuration',
    method: 'post',
    data: data
  })
}

// 修改设备配置（控制抓拍一体机）
export function updateConfiguration(data) {
  return request({
    url: '/system/configuration/put',
    method: 'post',
    data: data
  })
}

// 删除设备配置（控制抓拍一体机）
export function delConfiguration(equipmentId) {
  return request({
    url: '/system/configuration/delete/' + equipmentId,
    method: 'get'
  })
}


export function boolean(query) {
  return request({
    url: '/system/config/configKey/boolean',
    method: 'get',
    params: query
  })
}

